package com.jpsoft.smart.modules.base.dao;

import com.jpsoft.smart.modules.base.entity.ParkingApply;
import com.jpsoft.smart.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface ParkingApplyDAO {
	int insert(ParkingApply entity);
	int update(ParkingApply entity);
	int exist(String id);
	ParkingApply get(String id);
	int delete(String id);
	List<ParkingApply> list();
	List<ParkingApply> search(Map<String, Object> searchParams, List<Sort> sortList);
}