package com.jpsoft.smart.modules.base.dao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.PersonDeviceRelation;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface PersonDeviceRelationDAO {
	int insert(PersonDeviceRelation entity);
	int update(PersonDeviceRelation entity);
	int exist(String id);
	PersonDeviceRelation get(String id);
	int delete(String id);
	List<PersonDeviceRelation> list();
	List<PersonDeviceRelation> findByPersonId(Long personId);
    List<PersonDeviceRelation> findByDeviceId(String deviceId);
    PersonDeviceRelation findByDeviceIdAndPersonId(String deviceId,Long personId);
	List<PersonDeviceRelation> search(Map<String, Object> searchParams, List<Sort> sortList);

//    List<PersonDeviceRelation>  findByPersonId(@Param("personId")Long personId);


}