package com.jpsoft.smart.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.PersonInfo;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface PersonInfoDAO {
	int insert(PersonInfo entity);
	int update(PersonInfo entity);
	int exist(Long id);
	PersonInfo get(Long id);
	int delete(Long id);
	List<PersonInfo> list();
	List<PersonInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    PersonInfo findByNameAndPhone(String name, String phone);

	PersonInfo findByOpenId(String openId);
}