package com.jpsoft.smart.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
  描述:base_parking_info的实体类
 */
public class ParkingInfo {
	private String id;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	private String parkingNumber;
	private BigDecimal parkingPrice;
	private Integer rentPrice;
	private String contractType;
	private String ownerId;
	private OwnerInfo owner;
	private Date effectiveTime;
	private Date expirationTime;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取
车位编号
	 */
	public String getParkingNumber(){
		return parkingNumber;
	}
	
	/**
	 *设置
车位编号
	 */
	public void setParkingNumber(String parkingNumber){
		this.parkingNumber = parkingNumber;
	}
		/**
	 *获取车位售价
	 */
	public BigDecimal getParkingPrice(){
		return parkingPrice;
	}
	
	/**
	 *设置车位售价
	 */
	public void setParkingPrice(BigDecimal parkingPrice){
		this.parkingPrice = parkingPrice;
	}
		/**
	 *获取租赁价格(月)
	 */
	public Integer getRentPrice(){
		return rentPrice;
	}
	
	/**
	 *设置租赁价格(月)
	 */
	public void setRentPrice(Integer rentPrice){
		this.rentPrice = rentPrice;
	}
		/**
	 *获取合约类型
	 */
	public String getContractType(){
		return contractType;
	}
	
	/**
	 *设置合约类型
	 */
	public void setContractType(String contractType){
		this.contractType = contractType;
	}
		/**
	 *获取申请人ID
	 */
	public String getOwnerId(){
		return ownerId;
	}
	
	/**
	 *设置申请人ID
	 */
	public void setOwnerId(String ownerId){
		this.ownerId = ownerId;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone ="GMT+8")
		/**
	 *获取生效日期
	 */
	public Date getEffectiveTime(){
		return effectiveTime;
	}
	
	/**
	 *设置生效日期
	 */
	public void setEffectiveTime(Date effectiveTime){
		this.effectiveTime = effectiveTime;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone ="GMT+8")
		/**
	 *获取有效期
	 */
	public Date getExpirationTime(){
		return expirationTime;
	}
	
	/**
	 *设置有效期
	 */
	public void setExpirationTime(Date expirationTime){
		this.expirationTime = expirationTime;
	}

	/**
	 *获取用户
	 */
	public OwnerInfo getOwner(){
		return owner;
	}

	/**
	 *设置用户
	 */
	public void setOwner(OwnerInfo owner){
		this.owner = owner;
	}

}