package com.jpsoft.smart.modules.base.service;

import cn.hutool.json.JSONObject;
import com.jpsoft.smart.modules.base.entity.PersonDeviceLog;
import com.jpsoft.smart.modules.common.dto.Sort;
import com.github.pagehelper.Page;

import java.io.IOException;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-3-15 14:12
 */
public interface PersonDeviceLogService {

    /**
     * 设备自动上传的过人记录
     * @param deviceNo
     * @param temperature
     * @param faceImageJson
     * @param libMatInfoListJson
     * @param matchPersonInfo
     */
    void deviceInsertLog(String deviceNo, BigDecimal temperature, JSONObject faceImageJson, JSONObject libMatInfoListJson, JSONObject matchPersonInfo, Date date) ;

    Page<PersonDeviceLog> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize,boolean count, List<Sort> sortList);
}
