package com.jpsoft.smart.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.smart.modules.base.entity.PersonDeviceRelation;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface PersonDeviceRelationService {
	PersonDeviceRelation get(String id);
	boolean exist(String id);
	int insert(PersonDeviceRelation model);
	int update(PersonDeviceRelation model);
	int delete(String id);
	List<PersonDeviceRelation> list();
	List<PersonDeviceRelation> findByPersonId(Long personId);
	List<PersonDeviceRelation> findByDeviceId(String deviceId);
	PersonDeviceRelation findByDeviceIdAndPersonId(String deviceId,Long personId);
	Page<PersonDeviceRelation> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize,boolean count, List<Sort> sortList);

	//List<PersonDeviceRelation> findByPersonId(Long id);
}