package com.jpsoft.smart.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.smart.modules.base.entity.PersonInfo;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface PersonInfoService {
	PersonInfo get(Long id);
	boolean exist(Long id);
	int insert(PersonInfo model);
	int update(PersonInfo model);
	int delete(Long id);
	List<PersonInfo> list();
	Page<PersonInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize,boolean count, List<Sort> sortList);

    PersonInfo findByNameAndPhone(String name, String phone);
	PersonInfo findByOpenId(String openId);
}