package com.jpsoft.smart.electricity.server.protocol;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

@Data
@ToString
public class MeterReceivePacket {
    private int machineNo;
    private int unitNo;
    private int houseNo;
    private int rechargeTimes;
    private int remain;
    /**
     * 关闭：1，开启：0
     */
    private int state;
    private String terminalNo;
    private boolean validateResult;

    @JsonFormat(timezone = "GMT+8")
    private Date requestTime;

    @JsonFormat(timezone = "GMT+8")
    private Date responseTime;
}
