package com.jpsoft.smart.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.CompanyInfo;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface CompanyInfoDAO {
	int insert(CompanyInfo entity);
	int update(CompanyInfo entity);
	int exist(String id);
	CompanyInfo get(String id);
	int delete(String id);
	List<CompanyInfo> list();
	List<CompanyInfo> search(Map<String,Object> searchParams,List<Sort> sortList);
}