package com.jpsoft.smart.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.DeviceInfo;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface DeviceInfoDAO {
	int insert(DeviceInfo entity);
	int update(DeviceInfo entity);
	int exist(String id);
	DeviceInfo get(String id);
	DeviceInfo getByDeviceNo(String deviceNo);
	int delete(String id);
	List<DeviceInfo> list();
	List<DeviceInfo> findByCompanyId(String companyId);
	List<DeviceInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

	DeviceInfo findByDeviceNo(String deviceNo);
}