package com.jpsoft.smart.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.EmployeeInfo;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface EmployeeInfoDAO {
	int insert(EmployeeInfo entity);
	int update(EmployeeInfo entity);
	int exist(Long id);
	EmployeeInfo get(Long id);
	int delete(Long id);
	List<EmployeeInfo> list();
	List<EmployeeInfo> search(Map<String,Object> searchParams,List<Sort> sortList);
	List<EmployeeInfo> findByArray(String[] array);
	EmployeeInfo findByOpenId(String openId);
}