package com.jpsoft.smart.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.smart.modules.base.entity.WarningPusher;
import java.util.Map;
import com.jpsoft.smart.modules.common.dto.Sort;

@Repository
public interface WarningPusherDAO {
	int insert(WarningPusher entity);
	int update(WarningPusher entity);
	int exist(String id);
	WarningPusher get(String id);
	int delete(String id);
	List<WarningPusher> list();
	List<WarningPusher> search(Map<String,Object> searchParams,List<Sort> sortList);
}