package com.jpsoft.smart.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:base_information_info的实体类
 */
public class InformationInfo {
	private String id;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	private String ownerId;
	private OwnerInfo owner;
	private String community;
	private String content;
	private String status;
	private String returnContent;
	private Date returnTime;
	private String type;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取提交人ID
	 */
	public String getOwnerId(){
		return ownerId;
	}
	
	/**
	 *设置提交人ID
	 */
	public void setOwnerId(String ownerId){
		this.ownerId = ownerId;
	}
		/**
	 *获取所在小区
	 */
	public String getCommunity(){
		return community;
	}
	
	/**
	 *设置所在小区
	 */
	public void setCommunity(String community){
		this.community = community;
	}
		/**
	 *获取提交内容
	 */
	public String getContent(){
		return content;
	}
	
	/**
	 *设置提交内容
	 */
	public void setContent(String content){
		this.content = content;
	}
		/**
	 *获取提交状态
	 */
	public String getStatus(){
		return status;
	}
	
	/**
	 *设置提交状态
	 */
	public void setStatus(String status){
		this.status = status;
	}
		/**
	 *获取回复内容
	 */
	public String getReturnContent(){
		return returnContent;
	}
	
	/**
	 *设置回复内容
	 */
	public void setReturnContent(String returnContent){
		this.returnContent = returnContent;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取回复时间
	 */
	public Date getReturnTime(){
		return returnTime;
	}
	
	/**
	 *设置回复时间
	 */
	public void setReturnTime(Date returnTime){
		this.returnTime = returnTime;
	}
		/**
	 *获取状态/1投诉/2报修
	 */
	public String getType(){
		return type;
	}
	
	/**
	 *设置状态/1投诉/2报修
	 */
	public void setType(String type){
		this.type = type;
	}

	/**
	 *获取用户
	 */
	public OwnerInfo getOwner(){
		return owner;
	}

	/**
	 *设置用户
	 */
	public void setOwner(OwnerInfo owner){
		this.owner = owner;
	}
}