package com.jpsoft.smart.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:base_parking_apply的实体类
 */
public class ParkingApply {
	private String id;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	private String parkingId;
	private ParkingInfo parking;
	private String ownerId;
	private OwnerInfo owner;
	private String contractType;
	private Integer contractDuration;
	private Date startTime;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取申请车位ID
	 */
	public String getParkingId(){
		return parkingId;
	}
	
	/**
	 *设置申请车位ID
	 */
	public void setParkingId(String parkingId){
		this.parkingId = parkingId;
	}
		/**
	 *获取申请人ID
	 */
	public String getOwnerId(){
		return ownerId;
	}
	
	/**
	 *设置申请人ID
	 */
	public void setOwnerId(String ownerId){
		this.ownerId = ownerId;
	}
		/**
	 *获取申请类型
	 */
	public String getContractType(){
		return contractType;
	}
	
	/**
	 *设置申请类型
	 */
	public void setContractType(String contractType){
		this.contractType = contractType;
	}
		/**
	 *获取租赁时长(月)
	 */
	public Integer getContractDuration(){
		return contractDuration;
	}
	
	/**
	 *设置租赁时长(月)
	 */
	public void setContractDuration(Integer contractDuration){
		this.contractDuration = contractDuration;
	}

	/**
	 *获取用户
	 */
	public OwnerInfo getOwner(){
		return owner;
	}

	/**
	 *设置用户
	 */
	public void setOwner(OwnerInfo owner){
		this.owner = owner;
	}

	/**
	 *获取车位
	 */
	public ParkingInfo getParking(){
		return parking;
	}

	/**
	 *设置车位
	 */
	public void setParking(ParkingInfo parking){
		this.parking = parking;
	}

	/**
	 *获取车位
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone ="GMT+8")
	public Date getStartTime(){
		return startTime;
	}

	/**
	 *设置车位
	 */
	public void setStartTime(Date startTime){
		this.startTime = startTime;
	}


}