package com.jpsoft.smart.modules.base.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.smart.modules.base.dao.CompanyInfoDAO;
import com.jpsoft.smart.modules.base.dto.CompanyInfoDTO;
import com.jpsoft.smart.modules.base.entity.CompanyInfo;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface CompanyInfoService {
	CompanyInfo get(String id);
	boolean exist(String id);
	int insert(CompanyInfo model);
	int update(CompanyInfo model);
	int delete(String id);
	List<CompanyInfo> list();
	Page<CompanyInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);
}