package com.jpsoft.smart.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.smart.modules.base.entity.DeviceInfo;
import com.github.pagehelper.Page;
import com.jpsoft.smart.modules.common.dto.Sort;

public interface DeviceInfoService {
	DeviceInfo get(String id);
	boolean exist(String id);
	int insert(DeviceInfo model);
	int update(DeviceInfo model);
	int delete(String id);
	List<DeviceInfo> list();
	DeviceInfo getByDeviceNo(String deviceNo);
	List<DeviceInfo> findByCompanyId(String companyId);
	Page<DeviceInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize,boolean count, List<Sort> sortList);
	void updateByDeviceNo(String deviceNo, String ip);
}