package com.jpsoft.smart.modules.constant;

/**
 * @author 墨鱼_mo
 * @date 2020-3-15 9:50
 */
public class LApiConstant {

    /**
     * 获取设备的基本信息。
     */
    public static final String DEVICEBASICINFO = "/LAPI/V1.0/System/DeviceBasicInfo";

    /**
     * 获取设备的在线状态，可每隔 3s 获取一次
     */
    public static final String KEEPALIVE = "/LAPI/V1.0/System/KeepAlive";


    /**
     * 上传人脸接口url
     */
    public static final String ADDPERSON = "/LAPI/V1.0/PeopleLibraries/";

    /**
     * 获取人脸库url
     */
    public static final String GETFACEDB = "/LAPI/V1.0/PeopleLibraries/BasicInfo";

    /**
     * 删除人脸数据
     */
    public static final String DELETEPERSON = "/LAPI/V1.0/PeopleLibraries/";

    /**
     * 远程开门
     */
    public static final String REMOTEOPENED = "/LAPI/V1.0/PACS/Controller/RemoteOpened";

    /**
     * 重启设备
     */
    public static final String REBOOT = "/LAPI/V1.0/System/Reboot";

    /**
     * 添加人脸库
     */
    public static final String ADDLIBRARY = "/LAPI/V1.0/PeopleLibraries/BasicInfo";

    /**
     * 删除人脸库
     */
    public static final String DELETELIBRARY = "/LAPI/V1.0/PeopleLibraries/";

    /**
     * 修改设备人脸库名称
     */
    public static final String UPDATALIBRARY = "/LAPI/V1.0/PeopleLibraries/BasicInfo";


}
