package com.jpsoft.smart.electricity.server.protocol;

import lombok.Data;
import lombok.ToString;

import java.util.Date;

@Data
@ToString
public class MeterSendPacket {
    public static final int READ = 0xB0;
    public static final int OFF = 0xB6;
    public static final int ON = 0x3C;
    public static final int RECHARGE = 0xA0;

    private int machineNo;
    private int unitNo;
    private int houseNo;

    //0xB0 读表,0xB6 断电,0x3C 通电,0xA0售电
    private int command;

    //售电度数
    private int rechargeNum;

    //售电次数
    private int rechargeTimes;

    private Date requestTime;
}
